package com.ekingwin.bas.cloud.document.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

@Configuration  
@ConfigurationProperties(prefix = "attach")  
@PropertySource("classpath:global.properties")  
public class AttachDefineConfig{  
//    private String tempLocation;

    private String baseDownloadUrl;
    
//	@Value("${file.max_file_size:10485760}")
	private long maxFileSize = -1;
    
//	public String getTempLocation() {
//		return tempLocation;
//	}
//
//	public void setTempLocation(String tempLocation) {
//		this.tempLocation = tempLocation;
//	}

	public String getBaseDownloadUrl() {
		return baseDownloadUrl;
	}

	public void setBaseDownloadUrl(String baseDownloadUrl) {
		this.baseDownloadUrl = baseDownloadUrl;
	}

	public long getMaxFileSize() {
		return maxFileSize;
	}

	public void setMaxFileSize(long maxFileSize) {
		this.maxFileSize = maxFileSize;
	}
    
}
