package com.ekingwin.bas.cloud.file.service;

import com.ekingwin.bas.cloud.file.vo.IpDocumentVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface FileDocumentService {


    /**
     * 多附件上传
     *
     * @param files
     * @return
     * @throws Exception
     */
    List<IpDocumentVo> uploadFiles(List<MultipartFile> files) throws Exception;


    /**
     * 单附件上传
     * @param file
     * @return
     * @throws Exception
     */
    public IpDocumentVo uploadFile(MultipartFile file) throws Exception;
}
