package com.ekingwin.bas.cloud.supplier.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel("供应商账号中心信息")
public class AccountCenterInfo {

    @ApiModelProperty(value = "主键", required = true)
    private String supplierId;
    @ApiModelProperty(value = "企业名称", required = false)
    private String fullname;
    @ApiModelProperty(value = "联系人", required = false)
    private String contact;
    @ApiModelProperty(value = "联系方式", required = false)
    private String phone;
    @ApiModelProperty(value = "注册资金", required = false)
    private String capital;
    @ApiModelProperty(value = "公司类型", required = false)
    private String enterprisetypename;
    @ApiModelProperty(value = "库类别", required = false)
    private String libcategory;
    @ApiModelProperty(value = "服务范围", required = false)
    private String coverage;
    @ApiModelProperty(value = "供应种类", required = false)
    private String supplyCategory;
    @ApiModelProperty(value = "品牌", required = false)
    private String brand;
    @ApiModelProperty(value = "企业logo", required = false)
    private String logo;
    @ApiModelProperty(value = "营业执照", required = false)
    private String businesslicense;
    @ApiModelProperty(value = "开票公司名称", required = false)
    private String invoiceName;
    @ApiModelProperty(value = "发票抬头", required = false)
    private String invoicePayable;
    @ApiModelProperty(value = "税后", required = false)
    private String afterTax;
    @ApiModelProperty(value = "单位地址", required = false)
    private String workAddress;
    @ApiModelProperty(value = "电话", required = false)
    private String tel;
    @ApiModelProperty(value = "开户行", required = false)
    private String openingBank;
    @ApiModelProperty(value = "开户行账号", required = false)
    private String openingBankAccount;

    private String dataSource;
}
