package com.ekingwin.bas.cloud.config;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @ClassName :
 * @description:
 * @author: zhangjie
 * @create: 2019-10-24 11:07
 **/
@Configuration
@ConfigurationProperties(prefix = "rabbitmq.exchange")
@Data
@ApiModel("组织Rabbit配置文件")
public class RabbitExchangeConfig {


    @ApiModelProperty(value = "供应商")
    private String suppliers;

}
