package com.ekingwin.bas.cloud.document.model;

import com.ekingwin.bas.cloud.infra.dto.BaseDTO;
public class DocPermissionDto extends BaseDTO{
	private static final long serialVersionUID = 1306096946680440912L;
	private String  id	;//主键
	private String  doc	;//文档ID

	private String  relatedid	;//授权对象
	private String  relatedName	;//授权名称
	private String  relatedtype	;//授权对象类型 0：组织；1：公司；2：部门；3：岗位；4：事业部；5：片区；6：职务；7：系统组；8：角色；9：用户；10：自定义组
	private String  lookover	;//是否可以知识查看：1：可以；0：不可以
	private String  docupdate;	 //是否可以知识更新：1：可以；0：不可以	
	private String  download;	 //是否可以附件下载：1：可以；0：不可以		
	private String  docdelete;	 //是否可以知识删除：1：可以；0：不可以		
	private String  docprint;	 //是否可以附件打印：1：可以；0：不可以		
	private String  sendlink;	 //是否可以知识分享：1：可以；0：不可以		
	private String  msgnotice;	 //是否可以消息提醒：1：可以；0：不可以
	private String folderName;	//维度名称
	private String title;		//标题
	private String folderId;   //维度ID
	private String revId;
	
	public String getRevId() {
		return revId;
	}
	public void setRevId(String revId) {
		this.revId = revId;
	}
	public String getFolderId() {
		return folderId;
	}
	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}
	public String getRelatedName() {
		return relatedName;
	}
	public void setRelatedName(String relatedName) {
		this.relatedName = relatedName;
	}
	public String getFolderName() {
		return folderName;
	}
	public void setFolderName(String folderName) {
		this.folderName = folderName;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getRelatedid() {
		return relatedid;
	}
	public void setRelatedid(String relatedid) {
		this.relatedid = relatedid;
	}
	public String getRelatedtype() {
		return relatedtype;
	}
	public void setRelatedtype(String relatedtype) {
		this.relatedtype = relatedtype;
	}
	public String getLookover() {
		return lookover;
	}
	public void setLookover(String lookover) {
		this.lookover = lookover;
	}
	public String getDocupdate() {
		return docupdate;
	}
	public void setDocupdate(String docupdate) {
		this.docupdate = docupdate;
	}
	public String getDownload() {
		return download;
	}
	public void setDownload(String download) {
		this.download = download;
	}
	public String getDocdelete() {
		return docdelete;
	}
	public void setDocdelete(String docdelete) {
		this.docdelete = docdelete;
	}
	public String getDocprint() {
		return docprint;
	}
	public void setDocprint(String docprint) {
		this.docprint = docprint;
	}
	public String getSendlink() {
		return sendlink;
	}
	public void setSendlink(String sendlink) {
		this.sendlink = sendlink;
	}
	public String getMsgnotice() {
		return msgnotice;
	}
	public void setMsgnotice(String msgnotice) {
		this.msgnotice = msgnotice;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getDoc() {
		return doc;
	}
	public void setDoc(String doc) {
		this.doc = doc;
	}
}
